Gallery Platform API
Reference

List artist connections

Lists the gallery's artist studio connections, newest first, with cursor pagination. Filter with ?status=active.

GET
/gallery/artist-connections

Lists the gallery's artist studio connections, newest first, with cursor pagination. Filter with ?status=active.

Authorization

bearerAuth artists:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artists:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string

Value in

  • "active"
  • "paused"
  • "disconnected"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "artist_id": "string",      "status": "active",      "share_sale_prices": true,      "share_settlement": true,      "share_show_planning": true,      "created_at": "string"    }  ],  "next_cursor": "string"}